Blame SOURCES/0044-tests-monitor-use-correct-nft-value-in-EXIT-trap.patch

4e0227
From 4ee4ed8d54a8b9f0f0a2b195b3b95b892e4e79a3 Mon Sep 17 00:00:00 2001
4e0227
From: Phil Sutter <psutter@redhat.com>
4e0227
Date: Tue, 18 May 2021 18:06:50 +0200
4e0227
Subject: [PATCH] tests: monitor: use correct $nft value in EXIT trap
4e0227
MIME-Version: 1.0
4e0227
Content-Type: text/plain; charset=UTF-8
4e0227
Content-Transfer-Encoding: 8bit
4e0227
4e0227
Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=1919203
4e0227
Upstream Status: nftables commit 990cbbf75c40b
4e0227
4e0227
commit 990cbbf75c40b92e6d6dc66721dfbedf33cacf8f
4e0227
Author: Štěpán Němec <snemec@redhat.com>
4e0227
Date:   Wed Jan 27 15:02:03 2021 +0100
4e0227
4e0227
    tests: monitor: use correct $nft value in EXIT trap
4e0227
4e0227
    With double quotes, $nft was being expanded to the default value even
4e0227
    in presence of the -H option.
4e0227
4e0227
    Signed-off-by: Štěpán Němec <snemec@redhat.com>
4e0227
    Helped-by: Tomáš Doležal <todoleza@redhat.com>
4e0227
    Acked-by: Phil Sutter <phil@nwl.cc>
4e0227
    Signed-off-by: Phil Sutter <phil@nwl.cc>
4e0227
---
4e0227
 tests/monitor/run-tests.sh | 2 +-
4e0227
 1 file changed, 1 insertion(+), 1 deletion(-)
4e0227
4e0227
diff --git a/tests/monitor/run-tests.sh b/tests/monitor/run-tests.sh
4e0227
index ffb833a..c1cacb4 100755
4e0227
--- a/tests/monitor/run-tests.sh
4e0227
+++ b/tests/monitor/run-tests.sh
4e0227
@@ -19,7 +19,7 @@ if [ ! -d $testdir ]; then
4e0227
 	echo "Failed to create test directory" >&2
4e0227
 	exit 1
4e0227
 fi
4e0227
-trap "rm -rf $testdir; $nft flush ruleset" EXIT
4e0227
+trap 'rm -rf $testdir; $nft flush ruleset' EXIT
4e0227
 
4e0227
 command_file=$(mktemp -p $testdir)
4e0227
 output_file=$(mktemp -p $testdir)
4e0227
-- 
8ff5ad
2.31.1
4e0227